# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
BuildRequires: libXfixes-devel libXext-devel libgomp-devel libpixman-devel libcairo-devel libXft-devel libXinerama-devel
Name:           icc_examin
Version:        0.51
Release:        alt1_4
Summary:        ICC profile viewer and color visualization

Group:          Graphics
License:        GPLv2+
URL:            http://www.behrmann.name
Source0:        http://downloads.sourceforge.net/oyranos/icc_examin-%{version}.tar.bz2
Patch0:         icc_examin-0.49-xdg.patch
Patch1:         icc_examin-0.51-x11.patch

BuildRequires:  desktop-file-utils
BuildRequires:  gettext

BuildRequires:  openexr-devel
BuildRequires:  elektra-devel >= 0.7.0
BuildRequires:  ftgl-devel
BuildRequires:  libfltk-devel
BuildRequires:  lcms-devel
BuildRequires:  libjpeg-devel
BuildRequires: libtiffxx-devel libtiff-devel
BuildRequires:  libpng-devel
BuildRequires:  libXcm-devel >= 0.5.0
BuildRequires:  libxml2-devel
BuildRequires:  oyranos-devel >= 0.3.2

BuildRequires:  libXpm-devel

Requires:       oyranos >= 0.3.2
Requires:       fonts-ttf-dejavu
Requires:       icc-profiles-openicc >= 1.3.0

#compatibilty with other name
Provides:       iccexamin = %{version}-%{release}
Source44: import.info



%description
ICC Examin is a small utility (Unix name: iccexamin) for the
purpose of watching the internals of ICC profiles, measurement
data (CGATS), color samples (named color profiles), gamut 
visualizations (vrml), video card gamma tables.


%prep
%setup -q
%patch0 -p1 -b .xdg
%patch1 -p1 -b .x11


%build
%configure
make 
#{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

#Remove bundled fonts
rm -rf $RPM_BUILD_ROOT%{_datadir}/fonts/FreeSans.ttf

#This will avoid problem when registering mime type
mv $RPM_BUILD_ROOT%{_datadir}/applications/iccexamin.desktop \
 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor "" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --delete-original \
  --mode 644 \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS BUGS README TODO
%{_bindir}/iccexamin
%{_datadir}/pixmaps/iccexamin.png
%{_datadir}/pixmaps/hicolor/scalable/iccexamin.svg
%{_datadir}/applications/icc_examin.desktop
%{_mandir}/man1/iccexamin.1.*


%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1_4
- update to new release by fcimport

* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1_3
- update to new release by fcimport

* Wed Jan 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.51-alt1_2
- initial fc import

